---
title: Retrieve all webhook subscriptions
slug: reference/retrieve-all-webhook-subscriptions
docTags: 
createdAt: 2025-08-13T21:16:12.609Z
---

{
  "id": "XzC1s7okol3thfBEzauUb",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/webhook",
    "servers": [
      {
        "url": "https://app.amberflo.io/webhook"
      }
    ],
    "name": "Retrieve all webhook subscriptions",
    "description": "<p>Retrieves a list of all webhook subscriptions configured for your account.\nUse this endpoint to view existing webhook configurations, check their current\nstatus, and understand your event delivery setup.</p>\n<p>The response includes all webhook subscription details such as:</p>\n<ul>\n<li>Subscribed event topics and endpoint URLs</li>\n<li>Authentication settings and retry configurations</li>\n<li>Current enabled/disabled status</li>\n<li>Creation and modification timestamps</li>\n</ul>\n<p><strong>Important Note:</strong> This endpoint returns all webhooks without pagination.\nRemember that only one subscription per topic is allowed.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "api_key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of all webhook subscriptions with their configurations and status",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "Collection of webhook endpoints configured for your account",
            "customType": "webhook-list-response",
            "schema": [],
            "modelRef": "#/components/schemas/webhook-list-response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Missing or invalid API key authentication",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Insufficient permissions to access this resource",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal server error occurred while processing request",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "sMo0AyOGXUW2mF2YK1lbA",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/webhook \\\n     --header 'accept: application/json'"
        },
        {
          "id": "R49zcZznIJ2kuzBYYNxS2",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/webhook\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PQlRwGDtlSKaTA-drUmul",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/webhook\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QpGm5A8UqK3IG96LA0lfl",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/webhook\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "sMo0AyOGXUW2mF2YK1lbA"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of all webhook subscriptions with their configurations and status\n[\n  \"\"\n]"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Missing or invalid API key authentication\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Insufficient permissions to access this resource\n"
        },
        {
          "id": "response-3-500",
          "language": "500",
          "code": "// Internal server error occurred while processing request\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": "",
      "id": "eeHxH96hJl6YIbAz-92OJ"
    }
  ]
}